# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='WebRequest',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('user_id', models.IntegerField(db_index=True, null=True, verbose_name='user id', blank=True)),
                ('user_email', models.CharField(db_index=True, max_length=255, verbose_name='user email', blank=True)),
                ('cookie_code', models.CharField(max_length=255, null=True, verbose_name='cookie code', blank=True)),
                ('session_id', models.CharField(max_length=255, null=True, verbose_name='session id', blank=True)),
                ('method', models.CharField(max_length=10, verbose_name='method', choices=[(b'get', 'get'), (b'post', 'post'), (b'put', 'put'), (b'delete', 'delete'), (b'head', 'head'), (b'options', 'options'), (b'trace', 'trace'), (b'connect', 'connect')])),
                ('response_code', models.IntegerField(max_length=4, verbose_name='response code', choices=[(100, 'Continue'), (101, 'Switching Protocols'), (102, 'Processing (WebDAV)'), (200, 'OK'), (201, 'Created'), (202, 'Accepted'), (203, 'Non-Authoritative Information'), (204, 'No Content'), (205, 'Reset Content'), (206, 'Partial Content'), (207, 'Multi-Status (WebDAV)'), (300, 'Multiple Choices'), (301, 'Moved Permanently'), (302, 'Found'), (303, 'See Other'), (304, 'Not Modified'), (305, 'Use Proxy'), (306, 'Switch Proxy'), (307, 'Temporary Redirect'), (400, 'Bad Request'), (401, 'Unauthorized'), (402, 'Payment Required'), (403, 'Forbidden'), (404, 'Not Found'), (405, 'Method Not Allowed'), (406, 'Not Acceptable'), (407, 'Proxy Authentication Required'), (408, 'Request Timeout'), (409, 'Conflict'), (410, 'Gone'), (411, 'Length Required'), (412, 'Precondition Failed'), (413, 'Request Entity Too Large'), (414, 'Request-URI Too Long'), (415, 'Unsupported Media Type'), (416, 'Requested Range Not Satisfiable'), (417, 'Expectation Failed'), (418, "I'm a teapot"), (422, 'Unprocessable Entity (WebDAV)'), (423, 'Locked (WebDAV)'), (424, 'Failed Dependency (WebDAV)'), (425, 'Unordered Collection'), (426, 'Upgrade Required'), (449, 'Retry With'), (500, 'Internal Server Error'), (501, 'Not Implemented'), (502, 'Bad Gateway'), (503, 'Service Unavailable'), (504, 'Gateway Timeout'), (505, 'HTTP Version Not Supported'), (506, 'Variant Also Negotiates'), (507, 'Insufficient Storage (WebDAV)'), (509, 'Bandwidth Limit Exceeded'), (510, 'Not Extended')])),
                ('path', models.TextField(verbose_name='path')),
                ('is_ajax', models.BooleanField(default=False, verbose_name='is ajax')),
                ('ip', models.GenericIPAddressField(verbose_name='ip address')),
                ('referer', models.TextField(null=True, verbose_name='referer', blank=True)),
                ('user_agent', models.CharField(max_length=255, null=True, verbose_name='user agent', blank=True)),
                ('language', models.CharField(max_length=255, null=True, verbose_name='language', blank=True)),
            ],
            options={
                'ordering': ('-date_create',),
                'verbose_name': 'web request',
                'verbose_name_plural': 'web requests',
            },
        ),
    ]
