# -*- coding: utf-8 -*-
"""
helper module for jmb.analytics
"""
import datetime
import importlib
import logging
import pyodbc
import re
import uuid

from django.core.cache import cache
from django.conf import settings


logger = logging.getLogger('jmb.app_label')
analytics_log = logging.getLogger('acomea.analytics')


class RegexPattern(object):
    def __init__(self, regex, name=''):
        self.regex = re.compile(regex, re.UNICODE)
        self.name = name

    def resolve(self, string):
        match = self.regex.search(string)
        if match:
            return self.name, match.groupdict()


class patterns(object):
    def __init__(self, unknown, *args):
        self.patterns = []
        self.unknown = unknown

        for pattern in args:
            if pattern.__class__ == str:
                self.patterns.append(RegexPattern(pattern))
            else:
                self.patterns.append(RegexPattern(*pattern))

    def resolve(self, name):
        for pattern in self.patterns:
            match = pattern.resolve(name)
            if match:
                return match
        return self.unknown


def gen_cookie_code():
    return str(uuid.uuid4())
